Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.vectors

## Class Vector2I

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.vectors.Vector2I

- All Implemented Interfaces:
    `Vector2IType`, `VectorReadable2IType`, `VectorComputationalType`

      public final class Vector2I
      extends Object
      implements Vector2IType

  The type of 2D `int`-typed vectors.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Vector2I.Builder` | Builds instances of type `Vector2I`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Vector2I.Builder` | `builder​()` | Creates a builder for `Vector2I`.
    `boolean` | `equals​(Object another)` | This instance is equal to all instances of `Vector2I` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `x`, `y`.
    `static Vector2I` | `of​(int x, int y)` | Construct a new immutable `Vector2I` instance.
    `String` | `toString​()` | Prints the immutable value `Vector2I` with attribute values.
    `int` | `x​()` |
    `int` | `y​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### x

          public int x​()

      Specified by:
        `x` in interface `Vector2IType`
      Specified by:
        `x` in interface `VectorReadable2IType`
      Returns:
        The value of the `x` attribute

    - #### y

          public int y​()

      Specified by:
        `y` in interface `Vector2IType`
      Specified by:
        `y` in interface `VectorReadable2IType`
      Returns:
        The value of the `y` attribute

    - #### equals

          public boolean equals​(Object another)

      This instance is equal to all instances of `Vector2I` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `x`, `y`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString​()

      Prints the immutable value `Vector2I` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static Vector2I of​(int x,
                                    int y)

      Construct a new immutable `Vector2I` instance.
      Parameters:
        `x` - The value for the `x` attribute
        `y` - The value for the `y` attribute
      Returns:
        An immutable Vector2I instance

    - #### builder

          public static Vector2I.Builder builder​()

      Creates a builder for `Vector2I`.
      Returns:
        A new Vector2I builder

Copyright © 2017 <code@io7m.com> http://io7m.com